<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="a4j"  uri="http://richfaces.org/a4j" %>
<%@ taglib prefix="rich" uri="http://richfaces.org/rich" %>
<%@ taglib prefix="h"    uri="http://java.sun.com/jsf/html" %>
<%@ taglib prefix="f"    uri="http://java.sun.com/jsf/core" %>

<!-- The path to this is http://localhost:8080/com.mastertheboss.richfaces/datatable/datatable.faces -->

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="stylesheet" type="text/css" href="../css/styles.css" />

<title>RichFaces Data Table Demo</title>
</head>
<body>
<f:view>
<h:form>

<rich:simpleTogglePanel switchType="client" label="Trouble Ticketing system">
	<rich:dataTable value="#{taskList.dataList}" var="dataItem"
					rowClasses="row1, row2" id="taskList" rows="4"
					columnClasses="50,100,100,100"
					onRowMouseOver="this.style.backgroundColor='#B5F3FB'"
					onRowMouseOut="this.style.backgroundColor='#{a4jSkin.rowBackgroundColor}'"
					width="350">
		<f:facet name="header">
			<rich:columnGroup>

				<rich:column colspan="4">
					<h:outputText value="Trouble Tickets opened" />
				</rich:column>

				<rich:column breakBefore="true">
					<h:outputText value="Ticket Id" />
				</rich:column>

				<rich:column>
					<h:outputText value="Status" />
				</rich:column>

				<rich:column>
					<h:outputText value="Actor" />
				</rich:column>

				<rich:column>
					<h:outputText value="Description" />
				</rich:column>

			</rich:columnGroup>
		</f:facet>

		<rich:column>
			<f:facet name="header">
				<h:outputText value=" " title="Hack due to bug; should be removed until release"></h:outputText>
			</f:facet>
			<h:outputText value="#{dataItem.taskInstanceId}" />
		</rich:column>

		<rich:column>
			<h:outputText value="#{dataItem.taskNode}" />
		</rich:column>

		<rich:column>
			<h:outputText value="#{dataItem.actorId}" />
		</rich:column>

		<rich:column>
			<h:outputText value="#{dataItem.description}" />
		</rich:column>

	</rich:dataTable>

	<rich:datascroller align="left" for="taskList" maxPages="20" />

</rich:simpleTogglePanel>

</h:form>
</f:view>
</body>
</html>