<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="a4j"  uri="http://richfaces.org/a4j" %>
<%@ taglib prefix="rich" uri="http://richfaces.org/rich" %>
<%@ taglib prefix="h"    uri="http://java.sun.com/jsf/html" %>
<%@ taglib prefix="f"    uri="http://java.sun.com/jsf/core" %>

<!-- The path to this is http://localhost:8080/com.mastertheboss.richfaces/ajax/ajax.faces -->

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>AJAX Demo</title>
</head>
<body>
<f:view>

	<a4j:form>
		<h:panelGrid columns="3">
			<h:outputText value="Name:" />
			<h:inputText value="#{bankAccount.name}" />
			<a4j:commandLink reRender="out" action="#{bankAccount.searchAccount}">
				<h:outputText value="Enter name" />
			</a4j:commandLink>
		</h:panelGrid>
	</a4j:form>

	<rich:spacer height="7"/>

	<br />

	<h:panelGroup id="out">
		<h:outputText value="Your account is " rendered="#{not empty bankAccount.account}" />
		<h:outputText value="#{bankAccount.account}" />
		<h:outputText value="!" rendered="#{not empty bankAccount.account}" />
	</h:panelGroup>

	<br />

</f:view>
</body>
</html>